changeset 2:28f19009cbc2

mpc: remove temporarily for complete rewrite
author David Demelier <markand@malikania.fr>
date Tue, 07 Nov 2017 09:22:31 +0100
parents 02f6f8603d94
children a5f727748b9a
files README.md dmenu_mpc dmenu_mpc_add
diffstat 3 files changed, 0 insertions(+), 87 deletions(-) [+]
line wrap: on
line diff
--- a/README.md	Mon Nov 06 13:52:32 2017 +0100
+++ b/README.md	Tue Nov 07 09:22:31 2017 +0100
@@ -11,22 +11,6 @@
 
 Simple file or directory selector.
 
-dmenu_mpc
-=========
-
-This script offers some basic operations for [mpd][] such as:
-
-  - play, pause
-  - next, prev
-  - and clear
-
-Requires: [mpc][].
-
-dmenu_mpc_add
-=============
-
-This script let you add music to mpc by searching albums.
-
 dmenu_shutdown
 ==============
 
@@ -41,6 +25,5 @@
 Read the `~/.ssh/config` file to prompt a host to connect to.
 
 [dmenu]: http://tools.suckless.org/dmenu
-[mpc]: https://www.musicpd.org/clients/mpc
 [mpd]: https://www.musicpd.org
 [xbindkeys]: http://www.nongnu.org/xbindkeys
--- a/dmenu_mpc	Mon Nov 06 13:52:32 2017 +0100
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,33 +0,0 @@
-#!/bin/sh
-#
-# dmenu_mpc -- basic mpc operations through dmenu
-#
-# Copyright (c) 2016 David Demelier <markand@malikania.fr>
-#
-# Permission to use, copy, modify, and/or distribute this software for any
-# purpose with or without fee is hereby granted, provided that the above
-# copyright notice and this permission notice appear in all copies.
-#
-# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
-# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
-# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
-# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
-# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
-# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
-# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
-#
-
-if ! which dmenu > /dev/null 2>&1; then
-    echo "dmenu is missing" 1>&2;
-    exit 1;
-fi
-if ! which mpc > /dev/null 2>&1; then
-    echo "mpc is missing" 1>&2;
-    exit 1;
-fi
-
-cmd=$(echo -e "pause\nplay\nnext\nprev\nclear" | dmenu -p mpd )
-
-if [ -n "${cmd}" ]; then
-    mpc ${cmd} > /dev/null 2>&1
-fi
--- a/dmenu_mpc_add	Mon Nov 06 13:52:32 2017 +0100
+++ /dev/null	Thu Jan 01 00:00:00 1970 +0000
@@ -1,37 +0,0 @@
-#!/bin/sh
-#
-# dmenu_mpc_add -- convenient dmenu prompt for adding music to mpd
-#
-# Copyright (c) 2016 David Demelier <markand@malikania.fr>
-#
-# Permission to use, copy, modify, and/or distribute this software for any
-# purpose with or without fee is hereby granted, provided that the above
-# copyright notice and this permission notice appear in all copies.
-#
-# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
-# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
-# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
-# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
-# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
-# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
-# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
-#
-
-if ! which dmenu > /dev/null 2>&1; then
-    echo "dmenu is missing" 1>&2;
-    exit 1;
-fi
-if ! which mpc > /dev/null 2>&1; then
-    echo "mpc is missing" 1>&2;
-    exit 1;
-fi
-
-lines=10
-album=$(mpc list album | dmenu -i -p "mpc add" -l $lines)
-
-if [ -z "$album" ]; then
-    exit 0;
-fi
-
-mpc search album "$album" | mpc add
-mpc play